## NAME

r3.colors - Creates/modifies the color table associated with a 3D raster map.

## KEYWORDS

raster3d, color table

## SYNOPSIS

r3.colors
r3.colors --help
r3.colors [-rwldngae] [map=name[,name,...]] [file=name] [color=style] [raster=name] [raster_3d=name] [rules=name] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-r
  Remove existing color table
-w
  Only write new color table if it does not already exist
-l
  List available rules then exit
-d
  List available rules with description then exit
  If a color rule is given, only this rule is listed
-n
  Invert colors
-g
  Logarithmic scaling
-a
  Logarithmic-absolute scaling
-e
  Histogram equalization
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name[,name,...]
  Name of 3D raster map(s)
file=name
  Input file with one map name per line
  Input map names can be defined in an input file in case a large amount of maps must be specified. This option is mutual exclusive to the map option.
color=style
  Name of color table
  Options: aspect, aspectcolr, bcyr, bgyr, blues, byg, byr, celsius, corine, curvature, differences, elevation, etopo2, evi, fahrenheit, gdd, grass, greens, grey, grey.eq, grey.log, grey1.0, grey255, gyr, haxby, inferno, kelvin, magma, ndvi, ndwi, oranges, plasma, population, population_dens, precipitation, precipitation_daily, precipitation_monthly, rainbow, ramp, random, reds, roygbiv, rstcurv, ryb, ryg, sepia, slope, soilmoisture, srtm, srtm_plus, terrain, viridis, water, wave
  aspect: aspect oriented grey colors [range: map values]
  aspectcolr: aspect oriented rainbow colors [range: 0 to 360]
  bcyr: blue through cyan through yellow to red [range: map values]
  bgyr: blue through green through yellow to red [range: map values]
  blues: white to blue [range: map values]
  byg: blue through yellow to green [range: map values]
  byr: blue through yellow to red [range: map values]
  celsius: blue to red for degree Celsius temperature [range: -80 to 80]
  corine: EU Corine land cover colors [range: 111 to 995]
  curvature: for terrain curvatures (from v.surf.rst and r.slope.aspect) [range: map values]
  differences: differences oriented colors [range: map values]
  elevation: maps relative ranges of raster values to elevation color ramp [range: map values]
  etopo2: colors for ETOPO2 worldwide bathymetry/topography [range: -11000 to 8850]
  evi: enhanced vegetative index colors [range: -1 to 1]
  fahrenheit: blue to red for Fahrenheit temperature [range: -112 to 176]
  gdd: accumulated growing degree days [range: 0 to 6000]
  grass: GRASS GIS green (perceptually uniform) [range: map values]
  greens: white to green [range: map values]
  grey: grey scale [range: map values]
  grey.eq: histogram-equalized grey scale [range: map values]
  grey.log: histogram logarithmic transformed grey scale [range: map values]
  grey1.0: grey scale for raster values between 0.0-1.0 [range: 0 to 1]
  grey255: grey scale for raster values between 0-255 [range: 0 to 255]
  gyr: green through yellow to red [range: map values]
  haxby: relative colors for bathymetry or topography [range: map values]
  inferno: perceptually uniform sequential color table inferno [range: map values]
  kelvin: blue to red for temperature in Kelvin scale [range: 193.15 to 353.15]
  magma: perceptually uniform sequential color table magma [range: map values]
  ndvi: Normalized Difference Vegetation Index colors [range: -1 to 1]
  ndwi: Normalized Difference Water Index colors [range: -200 to 200]
  oranges: white to orange [range: map values]
  plasma: perceptually uniform sequential color table plasma [range: map values]
  population: color table covering human population classification breaks [range: 0 to 2e+09]
  population_dens: color table covering human population density classification breaks [range: 0 to 1e+09]
  precipitation: precipitation color table (0..2000mm) [range: 0 to 7000]
  precipitation_daily: precipitation color table (0..1000mm) [range: 0 to 10000]
  precipitation_monthly: precipitation color table (0..1000mm) [range: 0 to 1000]
  rainbow: rainbow color table [range: map values]
  ramp: color ramp [range: map values]
  random: random color table [range: map values]
  reds: white to red [range: map values]
  roygbiv: [range: map values]
  rstcurv: terrain curvature (from r.resamp.rst) [range: map values]
  ryb: red through yellow to blue [range: map values]
  ryg: red through yellow to green [range: map values]
  sepia: yellowish-brown through to white [range: map values]
  slope: r.slope.aspect-type slope colors for raster values 0-90 [range: 0 to 90]
  soilmoisture: soilmoisture color table (0.0-1.0) [range: 0 to 1]
  srtm: color palette for Shuttle Radar Topography Mission elevation [range: -11000 to 8850]
  srtm_plus: color palette for Shuttle Radar Topography Mission elevation (with seafloor colors) [range: -11000 to 8850]
  terrain: global elevation color table covering -11000 to +8850m [range: -11000 to 8850]
  viridis: perceptually uniform sequential color table viridis [range: map values]
  water: water depth [range: map values]
  wave: color wave [range: map values]
raster=name
  Raster map from which to copy color table
raster_3d=name
  3D raster map from which to copy color table
rules=name
  Path to rules file
  "-" to read rules from stdin

## DESCRIPTION

r3.colors has exactly the same functionality as r.colors but for 3D raster maps. Please refer to r.colors.

## EXAMPLES

    r3.colors map=volume_1 color=gyr

## SEE ALSO

r.colors, r.colors.out, r3.colors.out, v.colors, v.colors.out

See also wiki page Color tables (from GRASS User Wiki)

ColorBrewer is an online tool designed to help people select good color schemes for maps and other graphics.

## AUTHORS

Michael Shapiro and David Johnson
Support for 3D rasters by Soeren Gebbert

Last changed: $Date$

## SOURCE CODE

Available at: r3.colors source code (history)

Main index | 3D raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual